// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.s.c
// Author        : 
// Created On    : 2022-10-26
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "osp_task.h"
#include "osp_timer.h"
#include "ucp_printf.h"

/************************************************************************/
void ape0_event_task(uint32_t addr, uint32_t size);
void ape0_event_task1(uint32_t addr, uint32_t size);
void ape0_test_task_reg(void)
{
    osp_task_info_ex ape0_event_task_info = {50, (int8_t*)"ape0_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task};
    osp_task_info_ex ape0_event_task_del  = {51, (int8_t*)"ape0_event_del",  51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task1};
    osp_task_create(&ape0_event_task_info);
    osp_task_create(&ape0_event_task_del);
    return ;
}

/************************************************************************/
void ape1_event_task(uint32_t addr, uint32_t size);
void ape1_event_task1(uint32_t addr, uint32_t size);
void ape1_test_task_reg(void)
{
    osp_task_info_ex ape1_event_task_info = {50, (int8_t*)"ape1_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task};
    osp_task_info_ex ape1_event_task_del  = {51, (int8_t*)"ape1_event_del",  51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape1_event_task1};
    osp_task_create(&ape1_event_task_info);
    osp_task_create(&ape1_event_task_del);
    return ;
}

/************************************************************************/
void ape2_event_task(uint32_t addr, uint32_t size);
void ape2_event_task1(uint32_t addr, uint32_t size);
void ape2_test_task_reg(void)
{
    osp_task_info_ex ape2_event_task_info = {50, (int8_t*)"ape2_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_event_task};
    osp_task_info_ex ape2_event_task_del  = {51, (int8_t*)"ape2_event_del",  51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape2_event_task1};
    osp_task_create(&ape2_event_task_info);
    osp_task_create(&ape2_event_task_del);
    return ;
}

/************************************************************************/
void ape3_event_task(uint32_t addr, uint32_t size);
void ape3_event_task1(uint32_t addr, uint32_t size);
void ape3_test_task_reg(void)
{
    osp_task_info_ex ape3_event_task_info = {50, (int8_t*)"ape3_event_task", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_event_task};
    osp_task_info_ex ape3_event_task_del  = {51, (int8_t*)"ape3_event_del",  51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape3_event_task1};
    osp_task_create(&ape3_event_task_info);
    osp_task_create(&ape3_event_task_del);
    return ;
}

void ape4_test_task_reg(void)
{
    return ;
}

void ape5_test_task_reg(void)
{
    return ;
}

void ape6_test_task_reg(void)
{
    return ;
}

void ape7_test_task_reg(void)
{
    return ;
}

